Bug 1043918 - (CVE-2013-7100) CVE-2013-7100 asterisk: buffer overflow when receiving odd length 16 bit SMS message
CVE-2013-7100 asterisk: buffer overflow when receiving odd length 16 bit SMS ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131216,repor...
: Security
Depends On: 1043921 1043923
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 07:54 EST by Ratul Gupta
Modified: 2016-03-01 04:45 EST (History)
5 users (show)

See Also:
Fixed In Version: asterisk 1.8.24.1, asterisk 11.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 15:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-12-17 07:54:01 EST
Asterisk was found to have a vulnerability, where a 16 bit SMS message that contains an odd message length value will cause the message decoding loop to run forever. The message buffer is not on the stack but will be overflowed resulting in corrupted memory and an immediate crash.

The issue is said to be fixed in Asterisk 1.8.24.1 and 11.6.1.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732355
http://downloads.asterisk.org/pub/security/AST-2013-006.html

Patch:
1.8: http://downloads.asterisk.org/pub/security/AST-2013-006-1.8.diff
11: http://downloads.asterisk.org/pub/security/AST-2013-006-11.diff
Comment 1 Ratul Gupta 2013-12-17 07:56:44 EST
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1043921]
Affects: epel-6 [bug 1043923]
Comment 2 Fedora Update System 2014-01-08 02:50:42 EST
asterisk-11.7.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-01-08 02:55:03 EST
asterisk-11.7.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-01-08 02:59:17 EST
asterisk-11.7.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.